"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _index = _interopRequireDefault(require("../../../_lib/buildMatchFn/index.js"));

var _index2 = _interopRequireDefault(require("../../../_lib/buildParseFn/index.js"));

var _index3 = _interopRequireDefault(require("../../../_lib/buildMatchPatternFn/index.js"));

var _index4 = _interopRequireDefault(require("../../../_lib/parseDecimal/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var matchOrdinalNumbersPattern = /^(\d+)(th|st|nd|rd)?/i;
var matchWeekdaysPatterns = {
  narrow: /^(su|mo|tu|we|th|fr|sa)/i,
  "short": /^(sun|mon|tue|wed|thu|fri|sat)/i,
  "long": /^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i
};
var parseWeekdayPatterns = {
  any: [/^su/i, /^m/i, /^tu/i, /^w/i, /^th/i, /^f/i, /^sa/i]
};
var matchMonthsPatterns = {
  "short": /^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,
  "long": /^(january|february|march|april|may|june|july|august|september|october|november|december)/i
};
var parseMonthPatterns = {
  any: [/^ja/i, /^f/i, /^mar/i, /^ap/i, /^may/i, /^jun/i, /^jul/i, /^au/i, /^s/i, /^o/i, /^n/i, /^d/i]
};
var matchTimesOfDayPatterns = {
  "short": /^(am|pm)/i,
  "long": /^([ap]\.?\s?m\.?)/i
};
var parseTimeOfDayPatterns = {
  any: [/^a/i, /^p/i]
};
var match = {
  ordinalNumbers: (0, _index3["default"])(matchOrdinalNumbersPattern),
  ordinalNumber: _index4["default"],
  weekdays: (0, _index["default"])(matchWeekdaysPatterns, 'long'),
  weekday: (0, _index2["default"])(parseWeekdayPatterns, 'any'),
  months: (0, _index["default"])(matchMonthsPatterns, 'long'),
  month: (0, _index2["default"])(parseMonthPatterns, 'any'),
  timesOfDay: (0, _index["default"])(matchTimesOfDayPatterns, 'long'),
  timeOfDay: (0, _index2["default"])(parseTimeOfDayPatterns, 'any')
};
var _default = match;
exports["default"] = _default;
module.exports = exports.default;