"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _index = _interopRequireDefault(require("../../../_lib/buildMatchFn/index.js"));

var _index2 = _interopRequireDefault(require("../../../_lib/buildParseFn/index.js"));

var _index3 = _interopRequireDefault(require("../../../_lib/buildMatchPatternFn/index.js"));

var _index4 = _interopRequireDefault(require("../../../_lib/parseDecimal/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var matchOrdinalNumbersPattern = /^(\d+)(e|er|ère|ème|ième)?/i;
var matchWeekdaysPatterns = {
  narrow: /^(di|lu|ma|me|je|ve|sa)/i,
  "short": /^(dim|lun|mar|mer|jeu|ven|sam)/i,
  "long": /^(dimanche|lundi|mardi|mercredi|jeudi|vendredi|samedi)/i
};
var parseWeekdayPatterns = {
  any: [/^d/i, /^l/i, /^ma/i, /^me/i, /^j/i, /^v/i, /^s/i]
};
var matchMonthsPatterns = {
  "short": /^(jan|fév|mar|avr|mai|juin|juil|aoû|sep|oct|nov|déc)/i,
  "long": /^('janvier|février|mars|avril|mai|juin|juillet|août|septembre|octobre|novembre|décembre')/i
};
var parseMonthPatterns = {
  any: [/^ja/i, /^f/i, /^mar/i, /^av/i, /^mai$/i, /^juin/i, /^juil/i, /^ao/i, /^s/i, /^o/i, /^n/i, /^d/i]
};
var matchTimesOfDayPatterns = {
  "short": /^(am|pm)/i,
  "long": /^([ap]\.?\s?m\.?)/i
};
var parseTimeOfDayPatterns = {
  any: [/^a/i, /^p/i]
};
var match = {
  ordinalNumbers: (0, _index3["default"])(matchOrdinalNumbersPattern),
  ordinalNumber: _index4["default"],
  weekdays: (0, _index["default"])(matchWeekdaysPatterns, 'long'),
  weekday: (0, _index2["default"])(parseWeekdayPatterns, 'any'),
  months: (0, _index["default"])(matchMonthsPatterns, 'long'),
  month: (0, _index2["default"])(parseMonthPatterns, 'any'),
  timesOfDay: (0, _index["default"])(matchTimesOfDayPatterns, 'long'),
  timeOfDay: (0, _index2["default"])(parseTimeOfDayPatterns, 'any')
};
var _default = match;
exports["default"] = _default;
module.exports = exports.default;