"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _index = _interopRequireDefault(require("../../../_lib/buildLocalizeFn/index.js"));

var _index2 = _interopRequireDefault(require("../../../_lib/buildLocalizeArrayFn/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var weekdayValues = {
  narrow: ['ne', 'po', 'ut', 'sr', 'če', 'pe', 'su'],
  "short": ['ned', 'pon', 'uto', 'sri', 'čet', 'pet', 'sub'],
  "long": ['nedjelja', 'ponedjeljak', 'utorak', 'srijeda', 'četvrtak', 'petak', 'subota']
};
var monthValues = {
  "short": ['sij', 'velj', 'ožu', 'tra', 'svi', 'lip', 'srp', 'kol', 'ruj', 'lis', 'stu', 'pro'],
  "long": ['siječanj', 'veljača', 'ožujak', 'travanj', 'svibanj', 'lipanj', 'srpanj', 'kolovoz', 'rujan', 'listopad', 'studeni', 'prosinac']
};
var timeOfDayValues = {
  "long": ['ujutro', 'popodne']
};

function ordinalNumber(dirtyNumber) {
  var number = Number(dirtyNumber);
  return number + '.';
}

var localize = {
  ordinalNumber: ordinalNumber,
  weekday: (0, _index["default"])(weekdayValues, 'long'),
  weekdays: (0, _index2["default"])(weekdayValues, 'long'),
  month: (0, _index["default"])(monthValues, 'long'),
  months: (0, _index2["default"])(monthValues, 'long'),
  timeOfDay: (0, _index["default"])(timeOfDayValues, 'long', function (hours) {
    return hours / 12 >= 1 ? 1 : 0;
  }),
  timesOfDay: (0, _index2["default"])(timeOfDayValues, 'long')
};
var _default = localize;
exports["default"] = _default;
module.exports = exports.default;